<div class="bg-base-200 min-h-svh">
    <div class="navbar bg-base-100">
        <div class="flex-1">
            <a class="btn btn-ghost text-xl">ระบบจัดการสมาชิก</a>
        </div>
        <div class="flex-none">
            @if (isLogged) {
            <ul class="menu menu-horizontal px-1">
                <li>
                    <a
                        href="#"
                        routerLink="/users/main"
                        routerLinkActive="active"
                    >
                        รายชื่อสมาชิก
                    </a>
                </li>
                <li>
                    <a
                        href="#"
                        routerLink="/users/register"
                        routerLinkActive="active"
                    >
                        เพิ่มสมาชิก
                    </a>
                </li>
                <li>
                    <details class="dropdown dropdown-end">
                        <summary>บัญชี</summary>
                        <ul
                            class="dropdown-content z-[1] menu p-2 shadow bg-base-100 rounded-box w-52"
                        >
                            <li><a>ข้อมูลส่วนตัว</a></li>
                            <li><a (click)="logout()">ออกจากระบบ</a></li>
                        </ul>
                    </details>
                </li>
            </ul>
            }
        </div>
    </div>

    <div class="max-w-wide p-8">
        <router-outlet></router-outlet>
    </div>
</div>
